org.apache.cassandra.io.util

## Class CorruptFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.cassandra.io.util.CorruptFileException

- All Implemented Interfaces:
    java.io.Serializable

      public class CorruptFileException
      extends java.lang.RuntimeException

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `filePath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorruptFileException(java.lang.Exception cause, java.lang.String filePath)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### filePath

          public final java.lang.String filePath

  - ### Constructor Detail

    - #### CorruptFileException

          public CorruptFileException(java.lang.Exception cause,
                                      java.lang.String filePath)

Copyright © 2018 The Apache Software Foundation